mysql 5.5.22, 5.1.62, 5.0.96 security update tracking bug

Bug #965523 reported by Marc Deslauriers on 2012-03-26
262
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mysql-5.1 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Marc Deslauriers
Natty
Undecided
Marc Deslauriers
Oneiric
Undecided
Marc Deslauriers
Precise
Undecided
Unassigned
mysql-5.5 (Ubuntu)
High
Clint Byrum
Hardy
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
High
Clint Byrum
mysql-dfsg-5.0 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Marc Deslauriers
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
mysql-dfsg-5.1 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Lucid
Undecided
Marc Deslauriers
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

5.5.22:
http://dev.mysql.com/doc/refman/5.5/en/news-5-5-22.html

yaSSL was upgraded from version 1.7.2 to 2.2.0

5.1.62:
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-62.html
yaSSL was upgraded from version 1.7.2 to 2.2.0.
Security Fix: Bug #13510739 and Bug #63775 were fixed.

5.0.96:
http://dev.mysql.com/doc/refman/5.0/en/news-5-0-96.html
yaSSL was upgraded from version 1.7.2 to 2.2.0.

visibility: private → public
Changed in mysql-5.1 (Ubuntu Hardy):
status: New → Invalid
Changed in mysql-5.1 (Ubuntu Lucid):
status: New → Invalid
Changed in mysql-5.1 (Ubuntu Precise):
status: New → Won't Fix
Changed in mysql-5.1 (Ubuntu Maverick):
assignee: nobody → Marc Deslauriers (mdeslaur)
status: New → Confirmed
Changed in mysql-5.1 (Ubuntu Natty):
assignee: nobody → Marc Deslauriers (mdeslaur)
status: New → Confirmed
Changed in mysql-5.1 (Ubuntu Oneiric):
assignee: nobody → Marc Deslauriers (mdeslaur)
status: New → Confirmed
Changed in mysql-5.5 (Ubuntu Hardy):
status: New → Invalid
Changed in mysql-5.5 (Ubuntu Lucid):
status: New → Invalid
Changed in mysql-5.5 (Ubuntu Maverick):
status: New → Invalid
Changed in mysql-5.5 (Ubuntu Natty):
status: New → Invalid
Changed in mysql-5.5 (Ubuntu Oneiric):
status: New → Invalid
Changed in mysql-5.5 (Ubuntu Precise):
status: New → Confirmed
Changed in mysql-5.5 (Ubuntu Precise):
assignee: nobody → Clint (clint)
assignee: Clint (clint) → Clint Byrum (clint-fewbar)
Changed in mysql-dfsg-5.1 (Ubuntu Hardy):
status: New → Invalid
Changed in mysql-dfsg-5.1 (Ubuntu Lucid):
assignee: nobody → Marc Deslauriers (mdeslaur)
status: New → Confirmed
Changed in mysql-dfsg-5.1 (Ubuntu Maverick):
status: New → Invalid
Changed in mysql-dfsg-5.1 (Ubuntu Natty):
status: New → Invalid
Changed in mysql-dfsg-5.1 (Ubuntu Oneiric):
status: New → Invalid
Changed in mysql-dfsg-5.1 (Ubuntu Precise):
status: New → Invalid
Changed in mysql-dfsg-5.0 (Ubuntu Hardy):
assignee: nobody → Marc Deslauriers (mdeslaur)
status: New → Confirmed
Changed in mysql-dfsg-5.0 (Ubuntu Lucid):
status: New → Invalid
Changed in mysql-dfsg-5.0 (Ubuntu Maverick):
status: New → Invalid
Changed in mysql-dfsg-5.0 (Ubuntu Natty):
status: New → Invalid
Changed in mysql-dfsg-5.0 (Ubuntu Oneiric):
status: New → Invalid
Changed in mysql-dfsg-5.0 (Ubuntu Precise):
status: New → Invalid
Changed in mysql-5.5 (Ubuntu Precise):
importance: Undecided → High
milestone: none → ubuntu-12.04
status: Confirmed → In Progress
Clint Byrum (clint-fewbar) wrote :

branch is updated with 5.5.22, just running tests now.

Changed in mysql-5.5 (Ubuntu Precise):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-5.5 - 5.5.22-0ubuntu1

---------------
mysql-5.5 (5.5.22-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #965523)
  * d/mysql-server-5.5.mysql.upstart: Add respawn limit and code
    to exit ping loop if mysqld needs to be respawned. (LP: #711635)
  * New upstream bugfix release.
  * Refreshed patches
  * d/control: Build-Dep on dh-apparmor (LP: #948481)
  * d/p/fix-mysqldump-test.patch: Fixes unreliable test introduced in
    new upstream version. http://bugs.mysql.com/bug.php?id=64401
  * d/control: Re-add empty meta-package for mysql-testsuite so users
    will get the 5.5 version on upgrade and when installing
    mysql-testsuite. (LP: #959683)
 -- Clint Byrum <email address hidden> Thu, 29 Mar 2012 17:31:30 -0700

Changed in mysql-5.5 (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in mysql-5.1 (Ubuntu):
status: New → Invalid
Jamie Strandboge (jdstrand) wrote :

Thank you for reporting this bug to Ubuntu. maverick has reached EOL
(End of Life) and is no longer supported. As a result, this bug
against maverick is being marked "Won't Fix". Please see
https://wiki.ubuntu.com/Releases for currently supported Ubuntu
releases.

Please feel free to report any other bugs you may find.

Changed in mysql-5.1 (Ubuntu Maverick):
status: Confirmed → Won't Fix
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-5.1 - 5.1.62-0ubuntu0.11.10.1

---------------
mysql-5.1 (5.1.62-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.62 to fix security issues (LP: #965523)
    - http://dev.mysql.com/doc/refman/5.1/en/news-5-1-62.html
 -- Marc Deslauriers <email address hidden> Mon, 26 Mar 2012 13:26:05 -0400

Changed in mysql-5.1 (Ubuntu Oneiric):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-5.1 - 5.1.62-0ubuntu0.11.04.1

---------------
mysql-5.1 (5.1.62-0ubuntu0.11.04.1) natty-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.62 to fix security issues (LP: #965523)
    - http://dev.mysql.com/doc/refman/5.1/en/news-5-1-62.html
 -- Marc Deslauriers <email address hidden> Tue, 27 Mar 2012 10:18:29 -0400

Changed in mysql-5.1 (Ubuntu Natty):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-dfsg-5.0 - 5.0.96-0ubuntu1

---------------
mysql-dfsg-5.0 (5.0.96-0ubuntu1) hardy-security; urgency=low

  * SECURITY UPDATE: Update to 5.0.96 to fix security issues (LP: #965523)
    - http://dev.mysql.com/doc/refman/5.0/en/news-5-0-96.html
 -- Marc Deslauriers <email address hidden> Wed, 28 Mar 2012 09:25:59 -0400

Changed in mysql-dfsg-5.0 (Ubuntu Hardy):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-dfsg-5.1 - 5.1.62-0ubuntu0.10.04.1

---------------
mysql-dfsg-5.1 (5.1.62-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.62 to fix security issues (LP: #965523)
    - http://dev.mysql.com/doc/refman/5.1/en/news-5-1-62.html
 -- Marc Deslauriers <email address hidden> Tue, 27 Mar 2012 17:03:04 -0400

Changed in mysql-dfsg-5.1 (Ubuntu Lucid):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.